%global npm_name accepts

Summary:       Higher-level content negotiation
Name:          nodejs-%{npm_name}
Version:       1.3.3
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/jshttp/accepts
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Higher level content negotiation based on negotiator. Extracted from koa for general use.

In addition to negotiator, it allows:

 * Allows types as an array or arguments list, ie (['text/html', 'application/json'])
     as well as ('text/html', 'application/json').
 * Allows type shorthands such as json.
 * Returns false when no types match
 * Treats non-existent headers as *


%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc HISTORY.md LICENSE README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Fri Jun 24 2016 Troy Dawson <tdawson@redhat.com> - 1.3.3-1
- Update to 1.3.3

* Mon Sep 14 2015 Troy Dawson <tdawson@redhat.com> - 1.2.13-1
- Initial package
